Company groups
List companies
Returns the paginated list of companies (company groups) of your account, newest first.
GET
bearerAuthheader
AuthorizationBearer <token>API key sent as Authorization: Bearer <API_KEY>.
page?integerPage number to return (1-indexed). Defaults to 1.
Range
1 <= valueDefault
1limit?integerNumber of companies per page. Defaults to 50, maximum 200.
Range
1 <= value <= 200Default
50status?stringFilters by status.
Value in
"active""inactive"taxCode?stringFilters by exact tax code.
search?stringCase insensitive search over displayName, businessName and taxCode.
OK
application/jsoncurl -X GET 'https://api.getventia.com/api/v1.0/company-groups?page=1&limit=50'{ "data": [ { "_id": "67bca48d5fc32659c854f83c", "displayName": "Ventia", "businessName": "Ventia S.A.", "description": "CRM provider", "origin": "API Pública", "taxCode": "218765430017", "direction": { "location": true, "route": "Av. Italia", "street_number": "6201", "locality": "Montevideo", "country": "Uruguay", "formatted_address": "Av. Italia 6201, Montevideo, Uruguay", "place_id": "ChIJXXXXXXXXXXXXXXXXXXXX", "geoLocation": { "type": "Point", "coordinates": [ -56.1645, -34.8836 ] } }, "sectors": false, "status": "active", "additionalData": { "industry": "Software", "employees": 120 }, "company": "5f2b1c8e9f1b4a0017a1b2c3", "createdBy": "61a5f9d6c4e2b30017c9d123", "createdAt": "2026-02-24T18:21:01.000Z", "updatedAt": "2026-02-24T18:21:01.000Z" } ], "pagination": { "totalItems": 1, "totalPages": 1, "currentPage": 1 }}List campaigns GET
Returns campaigns belonging to the company associated with the API key. Heavy fields (`sequence`, `schedules`, `config`) are omitted from the list response.
Create a company POST
Creates a new company (company group). `additionalData` is validated against the additional company fields configured on your company.